Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/prec_scops.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/prec_scops.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/prec_scops.F90	(revision 5158)
@@ -66,7 +66,7 @@
       if (cv_col .eq. 0) cv_col=1
  
-      do ilev=1,nlev
-        do ibox=1,ncol
-          do j=1,npoints 
+      DO ilev=1,nlev
+        DO ibox=1,ncol
+          DO j=1,npoints
             prec_frac(j,ibox,ilev) = 0
           enddo
@@ -74,11 +74,11 @@
       enddo
       
-      do j=1,npoints
-       do ibox=1,ncol
+      DO j=1,npoints
+       DO ibox=1,ncol
         frac_out_ls(j,ibox)=0
         frac_out_cv(j,ibox)=0
         flag_ls=0
         flag_cv=0
-        do ilev=1,nlev
+        DO ilev=1,nlev
           if (frac_out(j,ibox,ilev) .eq. 1) then 
             flag_ls=1
@@ -98,10 +98,10 @@
 
 !      initialize the top layer      
-       do j=1,npoints
+       DO j=1,npoints
         flag_ls=0
         flag_cv=0
     
         if (ls_p_rate(j,1) .gt. 0.) then 
-            do ibox=1,ncol ! possibility ONE
+            DO ibox=1,ncol ! possibility ONE
                 if (frac_out(j,ibox,1) .eq. 1) then 
                     prec_frac(j,ibox,1) = 1
@@ -110,5 +110,5 @@
             enddo ! loop over ncol
             if (flag_ls .eq. 0) then ! possibility THREE
-                do ibox=1,ncol
+                DO ibox=1,ncol
                     if (frac_out(j,ibox,2) .eq. 1) then 
                         prec_frac(j,ibox,1) = 1
@@ -118,5 +118,5 @@
             endif
         if (flag_ls .eq. 0) then ! possibility Four
-        do ibox=1,ncol
+        DO ibox=1,ncol
         if (frac_out_ls(j,ibox) .eq. 1) then 
             prec_frac(j,ibox,1) = 1
@@ -126,5 +126,5 @@
         endif
         if (flag_ls .eq. 0) then ! possibility Five
-        do ibox=1,ncol
+        DO ibox=1,ncol
     !     prec_frac(j,1:ncol,1) = 1
         prec_frac(j,ibox,1) = 1
@@ -135,5 +135,5 @@
      
         if (cv_p_rate(j,1) .gt. 0.) then 
-         do ibox=1,ncol ! possibility ONE
+         DO ibox=1,ncol ! possibility ONE
           if (frac_out(j,ibox,1) .eq. 2) then 
            if (prec_frac(j,ibox,1) .eq. 0) then
@@ -146,5 +146,5 @@
         enddo ! loop over ncol
         if (flag_cv .eq. 0) then ! possibility THREE
-        do ibox=1,ncol
+        DO ibox=1,ncol
         if (frac_out(j,ibox,2) .eq. 2) then 
                 if (prec_frac(j,ibox,1) .eq. 0) then
@@ -158,5 +158,5 @@
         endif
         if (flag_cv .eq. 0) then ! possibility Four
-        do ibox=1,ncol
+        DO ibox=1,ncol
         if (frac_out_cv(j,ibox) .eq. 1) then 
                 if (prec_frac(j,ibox,1) .eq. 0) then
@@ -170,5 +170,5 @@
         endif
         if (flag_cv .eq. 0) then  ! possibility Five
-        do ibox=1,cv_col
+        DO ibox=1,cv_col
                 if (prec_frac(j,ibox,1) .eq. 0) then
             prec_frac(j,ibox,1) = 2
@@ -187,11 +187,11 @@
 
 !     working on the levels from top to surface
-      do ilev=2,nlev
-       do j=1,npoints
+      DO ilev=2,nlev
+       DO j=1,npoints
         flag_ls=0
         flag_cv=0
     
         if (ls_p_rate(j,ilev) .gt. 0.) then 
-         do ibox=1,ncol ! possibility ONE&TWO
+         DO ibox=1,ncol ! possibility ONE&TWO
           if ((frac_out(j,ibox,ilev) .eq. 1) .or. ((prec_frac(j,ibox,ilev-1) .eq. 1)     &
             .or. (prec_frac(j,ibox,ilev-1) .eq. 3))) then 
@@ -201,5 +201,5 @@
         enddo ! loop over ncol
         if ((flag_ls .eq. 0) .and. (ilev .lt. nlev)) then ! possibility THREE
-        do ibox=1,ncol
+        DO ibox=1,ncol
         if (frac_out(j,ibox,ilev+1) .eq. 1) then 
             prec_frac(j,ibox,ilev) = 1
@@ -209,5 +209,5 @@
         endif
         if (flag_ls .eq. 0) then ! possibility Four
-        do ibox=1,ncol
+        DO ibox=1,ncol
         if (frac_out_ls(j,ibox) .eq. 1) then 
             prec_frac(j,ibox,ilev) = 1
@@ -217,5 +217,5 @@
         endif
         if (flag_ls .eq. 0) then ! possibility Five
-        do ibox=1,ncol
+        DO ibox=1,ncol
 !     prec_frac(j,1:ncol,ilev) = 1
         prec_frac(j,ibox,ilev) = 1
@@ -225,5 +225,5 @@
     
         if (cv_p_rate(j,ilev) .gt. 0.) then 
-         do ibox=1,ncol ! possibility ONE&TWO
+         DO ibox=1,ncol ! possibility ONE&TWO
           if ((frac_out(j,ibox,ilev) .eq. 2) .or. ((prec_frac(j,ibox,ilev-1) .eq. 2)     &
             .or. (prec_frac(j,ibox,ilev-1) .eq. 3))) then 
@@ -237,5 +237,5 @@
        enddo ! loop over ncol
         if ((flag_cv .eq. 0) .and. (ilev .lt. nlev)) then ! possibility THREE
-        do ibox=1,ncol
+        DO ibox=1,ncol
         if (frac_out(j,ibox,ilev+1) .eq. 2) then 
                 if (prec_frac(j,ibox,ilev) .eq. 0) then
@@ -249,5 +249,5 @@
         endif
         if (flag_cv .eq. 0) then ! possibility Four
-        do ibox=1,ncol
+        DO ibox=1,ncol
         if (frac_out_cv(j,ibox) .eq. 1) then 
                 if (prec_frac(j,ibox,ilev) .eq. 0) then
@@ -261,5 +261,5 @@
         endif
         if (flag_cv .eq. 0) then  ! possibility Five 
-        do ibox=1,cv_col
+        DO ibox=1,cv_col
                 if (prec_frac(j,ibox,ilev) .eq. 0) then
             prec_frac(j,ibox,ilev) = 2
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/quickbeam.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/quickbeam.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/quickbeam.F90	(revision 5158)
@@ -150,7 +150,7 @@
        d_gate     = -1
     endif
-    do k=start_gate,end_gate,d_gate
+    DO k=start_gate,end_gate,d_gate
        ! Loop over each profile (nprof)
-       do pr=1,nprof
+       DO pr=1,nprof
           ! Attenuation due to hydrometeors between radar and volume
           
@@ -284,6 +284,6 @@
           
           ! Effective reflectivity histogram
-          do i=1,Npoints
-             do j=1,llm
+          DO i=1,Npoints
+             DO j=1,llm
                 cfad_ze(i,:,j) = hist1D(Ncolumns,Ze_toti(i,:,j),DBZE_BINS,cloudsat_histRef)
              enddo
@@ -301,6 +301,6 @@
        else
           ! Effective reflectivity histogram
-          do i=1,Npoints
-             do j=1,llm
+          DO i=1,Npoints
+             DO j=1,llm
                 cfad_ze(i,:,j) = hist1D(Ncolumns,Ze_tot(i,:,j),DBZE_BINS,cloudsat_histRef)
              enddo
@@ -395,10 +395,10 @@
     ! SUBCOLUMN processing
     ! ######################################################################################
-    do i=1, Npoints
+    DO i=1, Npoints
 
        cloudsat_preclvl = cloudsat_preclvl_index(i) !PREC_BUG
 !       print*, 'i, surfelev(i), cloudsat_preclvl : ', i, surfelev(i), cloudsat_preclvl !PREC_BUG
 
-       do pr=1,Ncolumns
+       DO pr=1,Ncolumns
           ! 1) Compute the PIA in all profiles containing hydrometeors
           if ( (Ze_non_out(i,pr,cloudsat_preclvl).gt.-100) .and. (Ze_out(i,pr,cloudsat_preclvl).gt.-100) ) then
@@ -523,7 +523,7 @@
 
     ! Aggregate subcolumns
-    do i=1,Npoints
+    DO i=1,Npoints
        ! Gridmean precipitation fraction for each precipitation type
-       do k=1,nCloudsatPrecipClass
+       DO k=1,nCloudsatPrecipClass
           if (any(cloudsat_pflag(i,:) .eq. k-1)) then
              cloudsat_precip_cover(i,k) = count(cloudsat_pflag(i,:) .eq. k-1)
@@ -571,7 +571,7 @@
             trim(rcfg%scale_LUT_file_name) // '_radar_Z_scale_LUT.dat'
        
-       do i=1,maxhclass
-          do j=1,mt_ntt
-             do k=1,nRe_types
+       DO i=1,maxhclass
+          DO j=1,mt_ntt
+             DO k=1,nRe_types
                 ind = i+(j-1)*maxhclass+(k-1)*(nRe_types*mt_ntt)
                 read(12,rec=ind) rcfg%Z_scale_flag(i,j,k), &
@@ -607,7 +607,7 @@
          trim(rcfg%scale_LUT_file_name) // '_radar_Z_scale_LUT.dat'
     
-    do i=1,maxhclass
-       do j=1,mt_ntt
-          do k=1,nRe_types
+    DO i=1,maxhclass
+       DO j=1,mt_ntt
+          DO k=1,nRe_types
              ind = i+(j-1)*maxhclass+(k-1)*(nRe_types*mt_ntt)
              if(.not.LUT_file_exists .or. rcfg%Z_scale_added_flag(i,j,k)) then
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/quickbeam_optics.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/quickbeam_optics.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/quickbeam_optics.F90	(revision 5158)
@@ -71,5 +71,5 @@
     mt_ttl = (/ ((j-1)*5-60 + 273.15, j = 1, cnt_liq) /)
     D(1) = dmin
-    do j=2,nd
+    DO j=2,nd
        D(j) = D(j-1)*exp((log(dmax)-log(dmin))/(nd-1))
     enddo
@@ -140,9 +140,9 @@
     kr_vol   = 0._wp
 
-    do k=1,ngate       ! Loop over each profile (nprof)
-       do pr=1,nprof
+    DO k=1,ngate       ! Loop over each profile (nprof)
+       DO pr=1,nprof
           ! Determine if hydrometeor(s) present in volume
           hydro = .false.
-          do j=1,rcfg%nhclass
+          DO j=1,rcfg%nhclass
              if ((hm_matrix(pr,k,j) > 1E-12) .and. (sd%dtype(j) > 0)) then
                 hydro = .true.
@@ -157,5 +157,5 @@
              
              ! Loop over hydrometeor type
-             do tp=1,rcfg%nhclass
+             DO tp=1,rcfg%nhclass
                 Re_internal = re_matrix(pr,k,tp)
 
@@ -342,5 +342,5 @@
     
     where(kr_vol(:,:) <= EPSILON(kr_vol)) 
-       ! Volume is hydrometeor-free	
+       ! Volume is hydrometeor-free
        !z_vol(:,:)  = undef
        z_ray(:,:)  = undef
@@ -794,5 +794,5 @@
        lidx = infind(D,dmin)
        uidx = infind(D,dmax)    
-       do k=lidx,uidx
+       DO k=lidx,uidx
           N(k) = (ahp*(D(k)*1E-3)**bhp) * 1E-12    
        enddo
@@ -980,5 +980,5 @@
        sizep = (pi*D0)/wl
        dqv(1) = 0._wp
-       do i=1,nsizes
+       DO i=1,nsizes
           call mieint(sizep(i), m0(i), one, dqv, qext(i), dqsc, qbsca(i), &
                dg, xs1, xs2, dph, err)
@@ -1183,5 +1183,5 @@
     sumo = 0._wp
     aux1 = 1.1_wp*e_th
-    do i=1,nbands_o2
+    DO i=1,nbands_o2
        aux2   = f/v0(i)
        aux3   = v0(i)-f
@@ -1207,5 +1207,5 @@
     sumo = 0._wp
     aux1 = 4.8_wp*e_th
-    do i=1,nbands_h2o
+    DO i=1,nbands_h2o
        aux2    = f/v1(i)
        aux3    = v1(i)-f
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/scops.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/scops.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cospv2/scops.F90	(revision 5158)
@@ -94,5 +94,5 @@
     if (ncolprint.ne.0) then
        write (6,'(a)') 'frac_out_pp_rev:'
-       do j=1,npoints,1000
+       DO j=1,npoints,1000
           write(6,'(a10)') 'j='
           write(6,'(8I10)') j
@@ -104,5 +104,5 @@
     if (ncolprint.ne.0) then
        write (6,'(a)') 'last_frac_pp:'
-       do j=1,npoints,1000
+       DO j=1,npoints,1000
           write(6,'(a10)') 'j='
           write(6,'(8I10)') j
@@ -139,5 +139,5 @@
           IF (ncolprint.ne.0) then
              write (6,'(a)') 'threshold_nsf2:'
-             do j=1,npoints,1000
+             DO j=1,npoints,1000
                 write(6,'(a10)') 'j='
                 write(6,'(8I10)') j
@@ -156,5 +156,5 @@
           !maxocc(1:npoints,ibox) = merge(1,0,boxpos(1:npoints,ibox) .le. conv(1:npoints,ilev))
           !maxocc(1:npoints,ibox) = merge(1,0, conv(1:npoints,ilev) .gt. boxpos(1:npoints,ibox))
-          do j=1,npoints
+          DO j=1,npoints
              if (boxpos(j,ibox).le.conv(j,ilev)) then
                 maxocc(j,ibox) = 1
@@ -214,5 +214,5 @@
        ! Set last_frac to tca at this level, so as to be tca from last level next time round
        if (ncolprint.ne.0) then
-          do j=1,npoints ,1000
+          DO j=1,npoints ,1000
              write(6,'(a10)') 'j='
              write(6,'(8I10)') j
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_buoy.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_buoy.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_buoy.F90	(revision 5158)
@@ -11,8 +11,7 @@
   USE lmdz_cvthermo
   USE lmdz_cv3param
+  USE lmdz_yomcst2
 
   IMPLICIT NONE
-
-  include "YOMCST2.h"
 
   ! input:
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_inicp.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_inicp.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_inicp.F90	(revision 5158)
@@ -10,27 +10,28 @@
   ! **************************************************************
   USE lmdz_abort_physic, ONLY: abort_physic
+  USE lmdz_yomcst2
+
   IMPLICIT NONE
-  include "YOMCST2.h"
 
   INTEGER iflag_clos
-  CHARACTER (LEN=20) :: modname = 'cv3_inicp'
-  CHARACTER (LEN=80) :: abort_message
+  CHARACTER (LEN = 20) :: modname = 'cv3_inicp'
+  CHARACTER (LEN = 80) :: abort_message
 
   ! --   Mixing probability distribution functions
 
   REAL qcoef1, qcoef2, qff, qfff, qmix, rmix, qmix1, rmix1, qmix2, rmix2, f
-  REAL :: sumcoef,sigma,aire,pdf,mu,df,ff
+  REAL :: sumcoef, sigma, aire, pdf, mu, df, ff
 
-  qcoef1(f) = tanh(f/gammas)
-  qcoef2(f) = (tanh(f/gammas)+gammas*log(cosh((1.-f)/gammas)/cosh(f/gammas)))
-  qff(f) = max(min(f,1.), 0.)
+  qcoef1(f) = tanh(f / gammas)
+  qcoef2(f) = (tanh(f / gammas) + gammas * log(cosh((1. - f) / gammas) / cosh(f / gammas)))
+  qff(f) = max(min(f, 1.), 0.)
   qfff(f) = min(qff(f), scut)
-  qmix1(f) = (tanh((qff(f)-fmax)/gammas)+qcoef1max)/qcoef2max
-  rmix1(f) = (gammas*log(cosh((qff(f)-fmax)/gammas))+qff(f)*qcoef1max)/ &
-    qcoef2max
-  qmix2(f) = -log(1.-qfff(f))/scut
-  rmix2(f) = (qfff(f)+(1.-qff(f))*log(1.-qfff(f)))/scut
-  qmix(f) = qqa1*qmix1(f) + qqa2*qmix2(f)
-  rmix(f) = qqa1*rmix1(f) + qqa2*rmix2(f)
+  qmix1(f) = (tanh((qff(f) - fmax) / gammas) + qcoef1max) / qcoef2max
+  rmix1(f) = (gammas * log(cosh((qff(f) - fmax) / gammas)) + qff(f) * qcoef1max) / &
+          qcoef2max
+  qmix2(f) = -log(1. - qfff(f)) / scut
+  rmix2(f) = (qfff(f) + (1. - qff(f)) * log(1. - qfff(f))) / scut
+  qmix(f) = qqa1 * qmix1(f) + qqa2 * qmix2(f)
+  rmix(f) = qqa1 * rmix1(f) + qqa2 * rmix2(f)
 
   ! cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
@@ -76,6 +77,6 @@
 
     sumcoef = qqa1 + qqa2
-    qqa1 = qqa1/sumcoef
-    qqa2 = qqa2/sumcoef
+    qqa1 = qqa1 / sumcoef
+    qqa2 = qqa2 / sumcoef
 
     qcoef1max = qcoef1(fmax)
@@ -90,8 +91,8 @@
     ! do ff = 0.0 + df, 1.0 - 2.*df, df
     ff = df
-    DO WHILE (ff<=1.0-2.*df)
-      pdf = (qmix(ff+df)-qmix(ff))*(1.-ff)/df
-      aire = aire + (qmix(ff+df)-qmix(ff))*(1.-ff)
-      mu = mu + pdf*ff*df
+    DO WHILE (ff<=1.0 - 2. * df)
+      pdf = (qmix(ff + df) - qmix(ff)) * (1. - ff) / df
+      aire = aire + (qmix(ff + df) - qmix(ff)) * (1. - ff)
+      mu = mu + pdf * ff * df
       ! c              WRITE(*,*) pdf,  Qmix(ff), aire, ff
       ff = ff + df
@@ -100,12 +101,12 @@
     ! do ff=0.0+df,1.0 - 2.*df,df
     ff = df
-    DO WHILE (ff<=1.0-2.*df)
-      pdf = (qmix(ff+df)-qmix(ff))*(1.-ff)/df
-      sigma = sigma + pdf*(ff-mu)*(ff-mu)*df
+    DO WHILE (ff<=1.0 - 2. * df)
+      pdf = (qmix(ff + df) - qmix(ff)) * (1. - ff) / df
+      sigma = sigma + pdf * (ff - mu) * (ff - mu) * df
       ff = ff + df
     END DO
     sigma = sqrt(sigma)
 
-    IF (abs(aire-1.0)>0.02) THEN
+    IF (abs(aire - 1.0)>0.02) THEN
       PRINT *, 'WARNING:: AREA OF MIXING PDF IS::', aire
       abort_message = ''
@@ -116,4 +117,3 @@
   END IF !  (iflag_mix .gt. 0)
 
-
 END SUBROUTINE cv3_inicp
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_routines.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_routines.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_routines.F90	(revision 5158)
@@ -1127,4 +1127,5 @@
   USE lmdz_cvthermo
   USE lmdz_cv3param
+  USE lmdz_yomcst2
 
   IMPLICIT NONE
@@ -1147,6 +1148,4 @@
   !   - no inb1, ONLY inb in output
   ! ---------------------------------------------------------------------
-
-  include "YOMCST2.h"
 
   !inputs:
@@ -1312,5 +1311,5 @@
       DO j = 1, 4
         DO i = 1, ncum
-          ! ori	    IF(k.ge.(icb(i)+1))THEN
+          ! ori        IF(k.ge.(icb(i)+1))THEN
           IF (k>=(icbs(i) + 1)) THEN                                ! convect3
             tg = tp(i, k)
@@ -1420,5 +1419,5 @@
       DO j = 1, 4
         DO i = 1, ncum
-          ! ori	    IF(k.ge.(icb(i)+1))THEN
+          ! ori        IF(k.ge.(icb(i)+1))THEN
           IF (k>=(icbs(i) + 1)) THEN                                ! convect3
             tg = tp(i, k)
@@ -1534,52 +1533,52 @@
     DO k = minorig + 1, nl
       DO i = 1, ncum
-        ! ori	    IF(k.ge.(icb(i)+1))THEN
+        ! ori        IF(k.ge.(icb(i)+1))THEN
         IF (k>=(icbs(i) + 1)) THEN                                ! convect3
           tg = t(i, k)
           qg = qs(i, k)
-          ! debug	      alv=lv0-clmcpv*(t(i,k)-t0)
+          ! debug          alv=lv0-clmcpv*(t(i,k)-t0)
           alv = lv0 - clmcpv * (t(i, k) - 273.15)
 
           ! First iteration.
 
-          ! ori	       s=cpd+alv*alv*qg/(rrv*t(i,k)*t(i,k))
+          ! ori           s=cpd+alv*alv*qg/(rrv*t(i,k)*t(i,k))
           s = cpd * (1. - qnk(i)) + cl * qnk(i) + &                   ! convect3
                   alv * alv * qg / (rrv * t(i, k) * t(i, k))                    ! convect3
           s = 1. / s
-          ! ori	       ahg=cpd*tg+(cl-cpd)*qnk(i)*t(i,k)+alv*qg+gz(i,k)
+          ! ori           ahg=cpd*tg+(cl-cpd)*qnk(i)*t(i,k)+alv*qg+gz(i,k)
           ahg = cpd * tg + (cl - cpd) * qnk(i) * tg + alv * qg + gz(i, k) ! convect3
           tg = tg + s * (ah0(i) - ahg)
-          ! ori	       tg=max(tg,35.0)
-          ! debug	       tc=tg-t0
+          ! ori           tg=max(tg,35.0)
+          ! debug           tc=tg-t0
           tc = tg - 273.15
           denom = 243.5 + tc
           denom = max(denom, 1.0)                               ! convect3
-          ! ori	       IF(tc.ge.0.0)THEN
+          ! ori           IF(tc.ge.0.0)THEN
           es = 6.112 * exp(17.67 * tc / denom)
-          ! ori	       else
-          ! ori			es=exp(23.33086-6111.72784/tg+0.15215*log(tg))
-          ! ori	       endif
+          ! ori           else
+          ! ori            es=exp(23.33086-6111.72784/tg+0.15215*log(tg))
+          ! ori           endif
           qg = eps * es / (p(i, k) - es * (1. - eps))
 
           ! Second iteration.
 
-          ! ori	       s=cpd+alv*alv*qg/(rrv*t(i,k)*t(i,k))
-          ! ori	       s=1./s
-          ! ori	       ahg=cpd*tg+(cl-cpd)*qnk(i)*t(i,k)+alv*qg+gz(i,k)
+          ! ori           s=cpd+alv*alv*qg/(rrv*t(i,k)*t(i,k))
+          ! ori           s=1./s
+          ! ori           ahg=cpd*tg+(cl-cpd)*qnk(i)*t(i,k)+alv*qg+gz(i,k)
           ahg = cpd * tg + (cl - cpd) * qnk(i) * tg + alv * qg + gz(i, k) ! convect3
           tg = tg + s * (ah0(i) - ahg)
-          ! ori	       tg=max(tg,35.0)
-          ! debug	       tc=tg-t0
+          ! ori           tg=max(tg,35.0)
+          ! debug           tc=tg-t0
           tc = tg - 273.15
           denom = 243.5 + tc
           denom = max(denom, 1.0)                               ! convect3
-          ! ori	       IF(tc.ge.0.0)THEN
+          ! ori           IF(tc.ge.0.0)THEN
           es = 6.112 * exp(17.67 * tc / denom)
-          ! ori	       else
-          ! ori			es=exp(23.33086-6111.72784/tg+0.15215*log(tg))
-          ! ori	       endif
+          ! ori           else
+          ! ori            es=exp(23.33086-6111.72784/tg+0.15215*log(tg))
+          ! ori           endif
           qg = eps * es / (p(i, k) - es * (1. - eps))
 
-          ! debug	       alv=lv0-clmcpv*(t(i,k)-t0)
+          ! debug           alv=lv0-clmcpv*(t(i,k)-t0)
           alv = lv0 - clmcpv * (t(i, k) - 273.15)
           ! PRINT*,'cpd dans convect2 ',cpd
@@ -4382,5 +4381,5 @@
   !AC!       do il=1,ncum
   !AC!        IF (iflag(il) .le. 1) THEN
-  !AC!	IF (cvflag_grav) THEN
+  !AC!    IF (cvflag_grav) THEN
   !AC!        ex=0.01*grav*ment(il,inb(il),inb(il))
   !AC!     :      *(traent(il,inb(il),inb(il),j)-tra(il,inb(il),j))
@@ -4390,5 +4389,5 @@
   !AC!     :       +ex*(ph(il,inb(il))-ph(il,inb(il)+1))
   !AC!     :          /(ph(il,inb(il)-1)-ph(il,inb(il)))
-  !AC!	else
+  !AC!    else
   !AC!        ex=0.1*ment(il,inb(il),inb(il))
   !AC!     :      *(traent(il,inb(il),inb(il),j)-tra(il,inb(il),j))
@@ -5131,6 +5130,6 @@
 
     !        WRITE(*,*) 'cv3_routines check 4303'
-    do i = 1, ncum
-      do k = 1, nd
+    DO i = 1, ncum
+      DO k = 1, nd
         sig_loc(i, k) = sig(i, k)
         w0_loc(i, k) = w0(i, k)
@@ -5148,10 +5147,10 @@
     !        WRITE(*,*) 'cv3_routines check 4316'
     !        WRITE(*,*) 'ep(1,:)=',ep(1,:)
-    do i = 1, ncum
+    DO i = 1, ncum
       epmax_diag(i) = epmax - coef_epmax_cape * sqrt(cape(i))
       epmax_diag(i) = amax1(epmax_diag(i), 0.0)
       !           WRITE(*,*) 'i,icb,inb,cape,epmax_diag=', &
       !                i,icb(i),inb(i),cape(i),epmax_diag(i)
-      do k = 1, nl
+      DO k = 1, nl
         ep(i, k) = ep(i, k) / epmax * epmax_diag(i)
         ep(i, k) = amax1(ep(i, k), 0.0)
@@ -5165,9 +5164,9 @@
     !      do k=1,nl
     !        do i=1,ncum
-    !	  hp_bak(i,k)=hp(i,k)
-    !	enddo
+    !      hp_bak(i,k)=hp(i,k)
+    !    enddo
     !      enddo
-    do k = 1, nl
-      do i = 1, ncum
+    DO k = 1, nl
+      DO i = 1, ncum
         hp(i, k) = h(i, k)
       enddo
@@ -5176,6 +5175,6 @@
     IF (cvflag_ice) THEN
 
-      do k = minorig + 1, nl
-        do i = 1, ncum
+      DO k = minorig + 1, nl
+        DO i = 1, ncum
           IF((k>=icb(i)).AND.(k<=inb(i)))THEN
             hp(i, k) = hnk(i) + (lv(i, k) + (cpd - cpv) * t(i, k) + frac(i, k) * lf(i, k)) * &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cv3p1_closure.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cv3p1_closure.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cv3p1_closure.F90	(revision 5158)
@@ -25,8 +25,7 @@
   USE lmdz_cv3param
   USE lmdz_yomcst
+  USE lmdz_yomcst2
 
   IMPLICIT NONE
-
-  include "YOMCST2.h"
 
   ! input:
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cv3p2_closure.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cv3p2_closure.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cv3p2_closure.F90	(revision 5158)
@@ -25,8 +25,7 @@
   USE lmdz_cv3param
   USE lmdz_yomcst
+  USE lmdz_yomcst2
 
   IMPLICIT NONE
-
-  include "YOMCST2.h"
 
   ! input:
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cv3p_mixing.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cv3p_mixing.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cv3p_mixing.F90	(revision 5158)
@@ -19,8 +19,7 @@
   USE lmdz_cvthermo
   USE lmdz_cv3param
+  USE lmdz_yomcst2
 
   IMPLICIT NONE
-
-  include "YOMCST2.h"
 
 !inputs:
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr.F90	(revision 5158)
@@ -117,5 +117,5 @@
 ! var tmp tests
   REAL                           :: conserv
-  real                           :: conservMA
+  REAL                           :: conservMA
 
 ! coefficient lessivage
@@ -147,6 +147,6 @@
 ! ======================================================
 !initialisation
-  do j=1,klev
-   do i=1,klon
+  DO j=1,klev
+   DO i=1,klon
      imp(i,j)=0.
    enddo
@@ -159,6 +159,6 @@
 ! Par la suite, I est tout le temps multiplié par sig_d pour avoir l'impaction sur la surface de la maille
 ! on le néglige ici pour simplifier le code
-  do j=1,klev-1
-   do i=1,klon
+  DO j=1,klev-1
+   DO i=1,klon
     imp(i,j) = coefcoli*0.75e-3/rdrop *&
              0.5*(pmflxr(i,j+1)+pmflxs(i,j+1)+pmflxr(i,j)+pmflxs(i,j))
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr_scav.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr_scav.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr_scav.F90	(revision 5158)
@@ -121,5 +121,5 @@
   ! var tmp tests
   REAL                           :: conserv
-  real                           :: conservMA
+  REAL                           :: conservMA
 
 !jyg<
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr_spl.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr_spl.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr_spl.F90	(revision 5158)
@@ -122,5 +122,5 @@
 ! var tmp tests
   REAL                           :: conserv
-  real                           :: conservMA
+  REAL                           :: conservMA
 ! JE SPLA adaptation
 
@@ -190,6 +190,6 @@
 ! ======================================================
 !initialisation
-  do j=1,klev
-   do i=1,klon
+  DO j=1,klev
+   DO i=1,klon
      imp(i,j)=0.
    enddo
@@ -381,6 +381,6 @@
 ! Par la suite, I est tout le temps multiplié par sig_d pour avoir l'impaction sur la surface de la maille
 ! on le néglige ici pour simplifier le code
-  do j=1,klev-1
-   do i=1,klon
+  DO j=1,klev-1
+   DO i=1,klon
 !JE    imp(i,j) = coefcoli*0.75e-3/rdrop *&
 !JE             0.5*(pmflxr(i,j+1)+pmflxs(i,j+1)+pmflxr(i,j)+pmflxs(i,j))
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/1D_decl_cases.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/1D_decl_cases.h	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/1D_decl_cases.h	(revision 5158)
@@ -13,8 +13,8 @@
         REAL dt_toga
         parameter (dt_toga=6.*3600.)
-!!
+
         INTEGER year_print, month_print, day_print
         real    sec_print
-!!
+
         REAL ts_toga(nt_toga)
         REAL plev_toga(nlev_toga,nt_toga),w_toga(nlev_toga,nt_toga)
@@ -33,11 +33,8 @@
         REAL w_mod(llm), t_mod(llm),q_mod(llm)
         REAL u_mod(llm),v_mod(llm), ht_mod(llm),vt_mod(llm),ug_mod(llm),vg_mod(llm)
-	    real temp_nudg_mod(llm),qv_nudg_mod(llm),u_nudg_mod(llm),v_nudg_mod(llm)       
+        real temp_nudg_mod(llm),qv_nudg_mod(llm),u_nudg_mod(llm),v_nudg_mod(llm)
         REAL hq_mod(llm),vq_mod(llm),qv_mod(llm),ql_mod(llm),qt_mod(llm)
         REAL th_mod(llm)
 
-! EV comment these lines
-!        real ts_cur
-!        common /sst_forcing/ts_cur ! also in read_tsurf1d.F
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 ! Declarations specifiques au cas RICO
@@ -188,7 +185,4 @@
         real  dtime_frcg
         LOGICAL :: Turb_fcg_gcssold
-
-        common /turb_forcing/                                                   &
-        dtime_frcg,hthturb_gcssold, hqturb_gcssold,Turb_fcg_gcssold
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 ! Declarations specifiques au cas Arm_cu
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/1D_interp_cases.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/1D_interp_cases.h	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/1D_interp_cases.h	(revision 5158)
@@ -88,5 +88,5 @@
       else
          DO l=2,llm-1
-	    IF (omega(l)>0.) THEN
+        IF (omega(l)>0.) THEN
              d_t_z(l)=(temp(l+1)-temp(l))/(play(l+1)-play(l))
              d_th_z(l)=(teta(l+1)-teta(l))/(play(l+1)-play(l))
@@ -94,5 +94,5 @@
              d_u_z(l)=(u(l+1)-u(l))/(play(l+1)-play(l))
              d_v_z(l)=(v(l+1)-v(l))/(play(l+1)-play(l))
-	    ELSE
+        ELSE
              d_t_z(l)=(temp(l-1)-temp(l))/(play(l-1)-play(l))
              d_th_z(l)=(teta(l-1)-teta(l))/(play(l-1)-play(l))
@@ -100,6 +100,6 @@
              d_u_z(l)=(u(l-1)-u(l))/(play(l-1)-play(l))
              d_v_z(l)=(v(l-1)-v(l))/(play(l-1)-play(l))
-	    ENDIF
-	 ENDDO
+        ENDIF
+     ENDDO
       endif
       d_t_z(1)=d_t_z(2)
@@ -116,8 +116,8 @@
 
 ! TRAVAIL : PRENDRE DES NOTATIONS COHERENTES POUR W
-      do l = 1, llm
+      DO l = 1, llm
 ! Modif w_mod_cas -> omega_mod_cas (MM+MPL 20170309)
-	PRINT*, l, llm
-	PRINT*, play(l), temp(l)
+    PRINT*, l, llm
+    PRINT*, play(l), temp(l)
        omega(l) = -w_mod_cas(l)*play(l)*rg/(rd*temp(l))
       enddo
@@ -133,5 +133,5 @@
 !geostrophic wind 
       IF (forc_geo.EQ.1) THEN
-        do l=1,llm
+        DO l=1,llm
         ug(l) = ug_mod_cas(l) 
         vg(l) = vg_mod_cas(l) 
@@ -139,5 +139,5 @@
       endif
 
-      do l = 1, llm
+      DO l = 1, llm
 
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/1D_read_forc_cases.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/1D_read_forc_cases.h	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/1D_read_forc_cases.h	(revision 5158)
@@ -16,5 +16,5 @@
          CALL read_SCM_cas
          WRITE(*,*) 'Forcing read'
-	 PRINT*,'PS ps_cas',ps_cas
+     PRINT*,'PS ps_cas',ps_cas
 
 !Time interpolation for initial conditions using interpolation routine
@@ -44,5 +44,5 @@
              ,sens_prof_cas,ustar_prof_cas,uw_prof_cas,vw_prof_cas,q1_prof_cas,q2_prof_cas,tkes_prof_cas)
 
-      do l = 1, nlev_cas
+      DO l = 1, nlev_cas
       print *,'apres 1ere interp: plev_cas, plev_prof_cas=',l,plev_cas(l,1),plev_prof_cas(l)
       enddo
@@ -92,5 +92,5 @@
 
 
-      do l = 1, llm
+      DO l = 1, llm
        temp(l) = t_mod_cas(l)
        q(l,1) = qv_mod_cas(l)
@@ -119,5 +119,5 @@
 ! Etienne pour initialisation de TKE
 
-       do l=1,llm+1
+       DO l=1,llm+1
        pbl_tke(:,l,:)=tke_mod_cas(l)
        enddo     
